Redmine - Feature #4461

Repository download file should be under user permission
2009-12-21 15:56 - pasquale [:dedalus]

Status: Closed Start date: 2009-12-21
Priority: Low Due date:

Assignee: % Done: 0%
Category: Permissions and roles Estimated time: 0.00 hour

Target version:

Resolution: Invalid

Description

At this moment, if admin set to show repositories for a project, all user that could see repository, can download files: should be better
if can make an user role that can see repositories but can't download.

History

#1 - 2009-12-21 16:35 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2009-12-21 19:33 - Felix Schéfer

Stop me if I'm wrong, but what would stop someone from, say, viewing the content of a file, and in the case of a text file just copy the content into a
new file on his desktop?

Or to be short: what difference is there between viewing and downloading a file?
#3 - 2009-12-21 19:49 - pasquale [:dedalus]
- Status changed from New to Resolved

Felix Schafer wrote:

Stop me if I'm wrong, but what would stop someone from, say, viewing the content of a file, and in the case of a text file just copy the content into
a new file on his desktop?

Or to be short: what difference is there between viewing and downloading a file?

None ;-)

#4 - 2009-12-25 18:09 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Invalid

2025-05-23 1/1



http://www.tcpdf.org

